[Git][qa/jenkins.debian.net][master] rdn: more changes to add new node codethink05
Holger Levsen (@holger)
gitlab at salsa.debian.org
Tue Apr 22 19:31:09 BST 2025
Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net
Commits:
b116931d by Holger Levsen at 2025-04-22T20:31:00+02:00
rdn: more changes to add new node codethink05
Signed-off-by: Holger Levsen <holger at layer-acht.org>
- - - - -
8 changed files:
- README.infrastructure
- + hosts/codethink05-arm64/etc/apt/apt.conf.d/80proxy
- + hosts/codethink05-arm64/etc/apt/sources.list
- + hosts/codethink05-arm64/etc/systemd/system/rebuilderd-worker at .service
- + hosts/codethink05-arm64/etc/systemd/system/rebuilderd_boot_cleanup.service
- + hosts/codethink05-arm64/opt/etc/rebuilderd-worker.conf
- + hosts/codethink05-arm64/opt/usr/libexec/rebuilderd/rebuilder-debian.sh
- update_jdn.sh
Changes:
=====================================
README.infrastructure
=====================================
@@ -187,7 +187,7 @@ suitable.
==== active nodes at Codethink
-We have 4 arm64 nodes running on "kvm hardware" kindly given access to us by Codethink.
+We have 5 arm64 nodes running on "kvm hardware" kindly given access to us by Codethink.
You can either:
=====================================
hosts/codethink05-arm64/etc/apt/apt.conf.d/80proxy
=====================================
@@ -0,0 +1,2 @@
+# Acquire::http::Proxy "http://192.168.101.4:3128";
+
=====================================
hosts/codethink05-arm64/etc/apt/sources.list
=====================================
@@ -0,0 +1,23 @@
+#
+# Debian trixie
+#
+deb http://deb.debian.org/debian/ trixie main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie main non-free-firmware contrib non-free
+
+#
+# Debian trixie security
+#
+deb http://security.debian.org/ trixie-security main non-free-firmware contrib non-free
+#deb-src http://security.debian.org/ trixie-security main non-free-firmware contrib non-free
+
+#
+# Debian trixie updates
+#
+deb http://deb.debian.org/debian/ trixie-updates main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie-updates main non-free-firmware contrib non-free
+
+#
+# Debian trixie-backports
+#
+deb http://deb.debian.org/debian/ trixie-backports main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie-backports main non-free-firmware contrib non-free
=====================================
hosts/codethink05-arm64/etc/systemd/system/rebuilderd-worker at .service
=====================================
@@ -0,0 +1,17 @@
+[Unit]
+Description=rebuilderd-worker: rebuild packages
+After=rebuilderd_boot_cleanup.service
+
+[Service]
+User=rebuilderd
+Group=rebuilderd
+WorkingDirectory=/srv/rebuilderd/%i
+Restart=always
+RestartSec=0
+ExecStart=/usr/bin/rebuilderd-worker -c /opt/etc/rebuilderd-worker.conf connect
+CPUSchedulingPolicy=idle
+IOSchedulingClass=3
+Environment="TMPDIR=/srv/rebuilderd/tmp/"
+
+[Install]
+WantedBy=multi-user.target
=====================================
hosts/codethink05-arm64/etc/systemd/system/rebuilderd_boot_cleanup.service
=====================================
@@ -0,0 +1,13 @@
+[Unit]
+Description=Run once at system boot to cleanup rebuilderd related files
+After=local-fs.target
+After=network.target
+#After=XXX
+
+[Service]
+ExecStart=/srv/jenkins/bin/rebuilderd_cleanup.sh
+RemainAfterExit=true
+Type=oneshot
+
+[Install]
+WantedBy=multi-user.target
=====================================
hosts/codethink05-arm64/opt/etc/rebuilderd-worker.conf
=====================================
@@ -0,0 +1,27 @@
+## The rebuilderd to connect to
+endpoint = "https://reproduce.debian.net/armhf"
+## The server would either allowlist our key or require a signup secret
+signup_secret = "INSECURE"
+
+[build]
+#timeout = 86400 # 24 hours
+## Set a maximum build log limit in bytes (default: none).
+## When reaching this limit the log is truncated but the rebuilder backend is *not* terminated.
+max_bytes = 20971520 # 20 MiB ## 10 MiB is upstream default
+## By default build output is forwarded to stdout/stderr.
+## This can be disabled by settings this to true.
+#silent = true
+
+[diffoscope]
+## Generate and attach diffs with diffoscope when rebuilding
+enabled = true
+## Pass additional arguments to diffoscope. Use wisely, some options might not work well.
+#args = ["--max-container-depth", "2", "--fuzzy-threshold", "0"]
+## Set a timeout in seconds after which diffoscope is terminated (default: 3600)
+timeout = 600 # 10 minutes
+## Set a maximum diffoscope output limit in bytes (default: none).
+## When reaching this limit, diffoscope is terminated and the output is truncated.
+max_bytes = 10485760 # 10 MiB
+
+[backend."debian"]
+path = "/opt/usr/libexec/rebuilderd/rebuilder-debian.sh"
=====================================
hosts/codethink05-arm64/opt/usr/libexec/rebuilderd/rebuilder-debian.sh
=====================================
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+cat <<-EOF
+===============================================================================
+
+About this build: this rebuild has been done as part of reproduce.debian.net
+where we aim to reproduce Debian binary packages distributed via ftp.debian.org,
+by rebuilding using the exact same packages as the original build on the buildds,
+as described in the relevant .buildinfo file from buildinfos.debian.net.
+
+For more information please go to https://reproduce.debian.net or join
+#debian-reproducible on irc.debian.org
+
+===============================================================================
+
+EOF
+
+cd "$(dirname "$1")"
+mkdir -p etc/apt
+mkdir -p var/lib/apt/lists/
+export TMPDIR=/srv/rebuilderd/tmp ; mkdir -p $TMPDIR ; chmod 777 $TMPDIR
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian trixie main' > etc/apt/sources.list
+apt-get -o Dir=. update -q
+apt-get -o Dir=. source -qq --print-uris "$(basename "$1" | cut -d_ -f1)"
+apt-get -o Dir=. source -qq --download-only "$(basename "$1" | cut -d_ -f1)"
+dcmd sha256sum *.dsc
+
+echo "+------------------------------------------------------------------------------+"
+echo "| Calling debrebuild $(date -u -R) |"
+echo "+------------------------------------------------------------------------------+"
+echo
+echo Rebuilding $(basename "$1") in $(pwd) now.
+set -x
+nice /usr/bin/debrebuild --buildresult="${REBUILDERD_OUTDIR}" --builder=sbuild+unshare --cache=/srv/rebuilderd/cache -- "${1}"
=====================================
update_jdn.sh
=====================================
@@ -124,6 +124,7 @@ user_host_groups['jspricke','osuosl5-amd64']=""
user_host_groups['jspricke','osuosl4-amd64']=""
user_host_groups['jspricke','codethink01-arm64']=""
user_host_groups['jspricke','codethink02-arm64']=""
+user_host_groups['jspricke','codethink05-arm64']=""
user_host_groups['jspricke','infom07-i386']=""
user_host_groups['jspricke','infom08-i386']=""
user_host_groups['jspricke','ionos17-amd64']=""
@@ -396,7 +397,7 @@ if [ -f /etc/debian_version ] ; then
# the mail server is managed by ansible elsewhere.
continue
;;
- osuosl4*|osuosl5*|infom07*|infom08*|codethink01*|codethink02*|riscv64*|ionos17*|*ppc64el) # packages to be installed on trixie Debian systems
+ osuosl4*|osuosl5*|infom07*|infom08*|codethink01*|codethink02*|codethink05*|riscv64*|ionos17*|*ppc64el) # packages to be installed on trixie Debian systems
DEBS="$DEBS
btop
debootstrap
@@ -564,7 +565,7 @@ if [ -f /etc/debian_version ] ; then
esac
# packages needed for rebuilderd-worker for https://reproduce.debian.net
case $HOSTNAME in
- infom07*|infom08*|codethink01*|codethink02*|osuosl4*|ionos17*|riscv64*|*ppc64el) DEBS="$DEBS
+ infom07*|infom08*|codethink01*|codethink02*|codethink03*|osuosl4*|ionos17*|riscv64*|*ppc64el) DEBS="$DEBS
diffoscope
rebuilderd-worker
sbuild
@@ -762,7 +763,7 @@ case $HOSTNAME in
fi
done
;;
- infom07*|infom08*|codethink01*|codethink02*|osuosl4*|osuosl5*|ionos17*|riscv64*|*ppc64el)
+ infom07*|infom08*|codethink01*|codethink02*|codethink03*|osuosl4*|osuosl5*|ionos17*|riscv64*|*ppc64el)
SIGNUPSECRET="$(sudo cat /opt/etc/rebuilderd.secret)"
f=rebuilderd-worker.conf
if [ -f /opt/etc/$f ] ; then
@@ -970,7 +971,7 @@ deploy_rebuilderd_services() {
}
case $HOSTNAME in
- codethink01*) deploy_rebuilderd_services worker 3
+ codethink*) deploy_rebuilderd_services worker 3
;;
infom*) deploy_rebuilderd_services worker 3
;;
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/b116931d1086802bba599f8f78b6a16a34be6ef6
--
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/b116931d1086802bba599f8f78b6a16a34be6ef6
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20250422/ca5d0eee/attachment-0001.htm>
More information about the Qa-jenkins-scm
mailing list